Subject: Re: bug#22932: 25.0.92; X protocol error: BadRequest (invalid request code or no such operation) on protocol request 149

From: Ken Raeburn <[email-masked]>
Date: Tue, 8 Mar 2016 17:16:18 -0500

Ah, that makes sense, if you've got such an old server version.  We
certainly shouldn't be assuming the server is as new as the client
libraries...  I'll see if I can fix that tonight.

Ken

On Tue, Mar 8, 2016 at 5:04 PM, John Eismeier <[email-masked]> wrote:

>
> Sure Ken,  How did I end of with old xrandr ?
>
> dpkg -l |grep xrandr
> ii  libnx-xrandr2:a 2:3.5.0.32-0 amd64        nx-X11 RandR extension
> library
> ii  libxrandr-dev:a 2:1.4.2-1    amd64        X11 RandR extension library
> (develop
> ii  libxrandr2:amd6 2:1.4.2-1    amd64        X11 RandR extension library
>
> that is why, using X2go server...
>
> xdpyinfo
> name of display:    :50
> version number:    11.0
> vendor string:    The X.Org Foundation
> vendor release number:    70000000
> X.Org version: 7.0.0
> maximum request size:  16777212 bytes
> motion buffer size:  256
> bitmap unit, bit order, padding:    32, LSBFirst, 32
> image byte order:    LSBFirst
> number of supported pixmap formats:    7
> supported pixmap formats:
>
>
> --
>                                -- John
>